Bug 61302 - [Maintainer-update] databases/freetds to 0.62
[Maintainer-update] databases/freetds to 0.62
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Dupre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 09:10 UTC by kiesel
Modified: 2004-01-15 23:27 UTC (History)
0 users

See Also:


Attachments
freetds.diff (9.00 KB, patch)
2004-01-13 09:10 UTC, kiesel
no flags Details | Diff
sqsh.diff (780 bytes, patch)
2004-01-13 09:10 UTC, kiesel
no flags Details | Diff
file.diff (3.03 KB, patch)
2004-01-13 09:10 UTC, kiesel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kiesel 2004-01-13 09:10:02 UTC
    This pr includes the update of the freetds port to 0.62. Additionally all dependent ports
    are patched, so the ports check for the correct file when checking if freetds is installed.
    The diffs also bump the PORTREVISION for every port included.

    I'm willing to take maintainership of databases/sqsh - so I included a patch which updates
    the LIB_DEPENDS, PORTREVISION and the MAINTAINER variable.

    For the freetds port, please add exp-patch-src-tds-read.c.diff to the files/ subdirectory.

Fix: Apply the patches.
	

Index: src/tds/read.c
===================================================================
RCS file: /home/cvs/mirror/freetds/freetds/src/tds/read.c,v
retrieving revision 1.78
diff -u -r1.78 read.c
--- src/tds/read.c	29 Dec 2003 16:08:35 -0000	1.78
+++ src/tds/read.c	10 Jan 2004 23:53:21 -0000
@@ -164,6 +164,13 @@
 			buflen -= len;
 			got += len;
 		} 
+
+		/* When we get a timeout on select(), return 0. Don't return -1, because
+		 * that would lead to a disconnect 
+		 * OTOH, do not let this pass to prevent an infinite loop when there is
+		 * no data on the wire */
+		if (retcode == 0)
+			return 0;
 		
 		OK_TIMEOUT:
 		now = time(NULL);
--- exp-patch-src-tds-read.c.diff ends here ---
Comment 1 Alex Dupre freebsd_committer 2004-01-13 10:14:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

I'll take it.
Comment 2 Alex Dupre freebsd_committer 2004-01-15 23:27:40 UTC
State Changed
From-To: open->closed

Committed, thanks!